package com.brilliance.mda.runtime.mda.driver.compile.component;


import com.brilliance.mda.runtime.mda.IModule;
import com.brilliance.mda.runtime.mda.Ruleable;

public abstract class RuleableCompile implements Ruleable<Boolean> {

    public RuleableCompile(){

    }

    @Override
    public Boolean exec() {
        return false;
    }

    public abstract Boolean exec(IModule root);
}
